%% 
%% 			Usage:   \documentstyle{cifa00}
%%%					\begin{document}
%%                            \author{...} 
%%                            \title{...}
%%					
%%                            \maketitle
%%                                                     
%%                            \section{Introduction}
%%                            ...
%%                            \end{document}
%%
%%
%%% ====================================================================
%%%%%%%%
% blabla
%%%%%%%%
\typeout{Document Style `cifa00' <21-Fev-00>.}
\typeout{by Perruquetti Wilfrid}
\typeout{(L.A.I.L.)}
\typeout{Laboratoire d'Automatique et d'Informatique industrielle de Lille}
\typeout{U.R.A. C.N.R.S. D 1440}
\typeout{Ecole Centrale de Lille}
\typeout{Cit\'{e} Scientifique}
\typeout{B.P. 48}
\typeout{59651 Villeneuve d'Ascq, CEDEX}
\typeout{FRANCE}
\typeout{**************************************************************}
\typeout{e-mail:wilfrid.perruquetti@ec-lille.fr}
\typeout{URL:http:\\www.ec-lille.fr\~perruque}
\typeout{Tel: (33) 03.20.33.54.50}
\typeout{Fax: (33) 03.20.33.54.18}

%%%%
% GO
%%%%
\input{article.sty}
\input{amssymb.sty}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%dimensions et divers/dimensions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%pageA4
\setlength\paperheight {297mm}
\setlength\paperwidth  {210mm}


\newdimen\linespacing
\linespacing=3pt
\lineskip=1pt
\lineskiplimit=1pt
\normallineskip=1pt
\normallineskiplimit=1pt

\textheight 				245truemm
\textwidth 				183truemm
\columnsep 				10truemm
\parindent 				0pt
\parskip 				\linespacing  
\oddsidemargin 				-9.4truemm
\evensidemargin 			-9.4truemm
\topmargin 				-12mm
\headsep          			6.3mm
\headheight        			12pt
\sloppy
\flushbottom


%%%%%%%%%%%%%%%%%%%%%%%%%%
% deux colonnes/twocolumn
%%%%%%%%%%%%%%%%%%%%%%%%%%%

\twocolumn


%%%%%%%%%%%%%%%%%%%%%%%%%%
% taille des fonts 10pt, etc...
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\@normalsize{\@setsize\normalsize{10pt}\xpt\@xpt
\abovedisplayskip 1em plus3pt minus6pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip .6em plus4pt minus4pt
\topsep \belowdisplayshortskip
}
\def\small{\@setfontsize\small\@viiipt{8}}
\def\footnotesize{\@setfontsize\footnotesize\@viipt{7}}
\def\scriptsize{\@setfontsize\scriptsize\@vipt\@viipt}
\def\tiny{\@setfontsize\tiny\@ivpt{4}\@vpt{5}}
\def\large{\@setfontsize\large\@xiipt{12}}
\def\Large{\@setfontsize\Large\@xivpt{14}}
\def\LARGE{\@setfontsize\LARGE\@xviipt{17}}
\def\huge{\@setfontsize\huge\@xxpt{20}}
\def\Huge{\@setfontsize\Huge\@xxvpt{25}}


%%%%%%%%%%%%%%%%%%%%%%%%
%separation formule math
%%%%%%%%%%%%%%%%%%%%%%%%%

\topsep \linespacing
\labelsep \linespacing
\abovedisplayskip \linespacing plus1pt minus1pt
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus1pt
\belowdisplayshortskip 3pt plus1pt minus1pt

%%%%%%%%%%%%%%%%
%separation item
%%%%%%%%%%%%%%%%

\def\@listi{\leftmargin\leftmargini
 \topsep -\parskip \addtolength{\topsep}{3pt}
 \parsep 2pt plus 1pt minus 1pt
 \itemsep 1pt plus 1pt minus 1pt
}
\def\@listii{\leftmargin\leftmarginii
 \topsep -\parskip \addtolength{\topsep}{1pt}
 \parsep 2pt plus 1pt minus 1pt
 \itemsep 1pt plus 1pt minus 1pt
}

\renewcommand\labelenumii{\theenumii.}
%%%%%%%%  
% titre
%%%%%%%%



\renewcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \twocolumn[\@maketitle] 
    \thispagestyle{empty}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \let\thanks\relax
  \let\maketitle\relax\let\@maketitle\relax
  \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\gdef\@resume{}
{}}


\def\@maketitle{\newpage
\thispagestyle{empty}
\null \vskip 5mm
\begin{center}

{\large \bf \@title}

\vskip 30pt
{\large \bf \begin{tabular}[t]{c}\@author \end{tabular}\par \vskip 20pt}
\end{center}
\vskip 20pt} 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mise en forme des Compteurs sections
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\renewcommand \thesection{\@Roman\c@section}
\renewcommand \thesubsection{\thesection.\@arabic\c@subsection}
\renewcommand \thesubsubsection{\thesubsection.\@arabic\c@subsubsection}
\renewcommand \theequation{\arabic{equation}}

%%%%%%%%%%%%%%%%%%%%%
% Sections (cf.  CDC)
%%%%%%%%%%%%%%%%%%%%%
\def\@startsection#1#2#3#4#5#6#7{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
   \addtolength{\@tempskipa}{-\parskip}
   \if@nobreak \everypar{}\else
     \addpenalty{\@secpenalty}\addvspace{\@tempskipa}\fi
     \@ifstar
     {\@ssect{#1}{#2}{#3}{#4}{#5}{#6}{#7}}
     {\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}{#7}}}}

\def\@sect#1#2#3#4#5#6#7[#8]#9{
   \ifnum #2>\c@secnumdepth
      \def\@svsec{}
   \else 
      \ifnum #2> 2 % if it is subsubsection, paragraph  ...
        \refstepcounter{#1}\edef\@svsec{{\csname the#1\endcsname}\hskip .5em }
      \else        % if it is section or subsection, put "." after number
	 %Rev. <20-JUNE-96> C. Schrader ("." removed)
        \refstepcounter{#1}\edef\@svsec{{\csname the#1\endcsname}\hskip .5em }
      \fi
   \fi
   \@tempskipa #5\relax
   \ifdim \@tempskipa>\z@ 
      \begingroup #6\relax
      \ifnum #2 > 1  % if it is not a section .. 
         %% header indented at right of section number
         %\@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty \@M #8#7\par}
         %% header on the same line as section number
         \@hangfrom{\hskip #3\relax}{\@svsec\interlinepenalty \@M #8#7\par}
      \else          % if it is a section .. 
         \setbox1=\hbox{\@svsec #8#7}
         \ifdim \wd1>\columnwidth
             {\centering\@svsec \interlinepenalty \@M #8#7\par}
         \else  % if it is section AND not wider then width of column
             \vskip\parskip\centerline{\@svsec\interlinepenalty\@M #8#7}\par
         \fi
      \fi
      \endgroup
      \csname #1mark\endcsname{#8}\addcontentsline
         {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                      \protect\numberline{\csname the#1\endcsname}\fi
                    #8}
   \else
        \def\@svsechd{#6\hskip #3\@svsec #9#7\csname #1mark\endcsname
              {#8}\addcontentsline {toc}{#1}{\ifnum #2>\c@secnumdepth \else
               \protect\numberline{\csname the#1\endcsname}\fi
               #8}}
   \fi
   \@xsect{#5}}

\def\@ssect#1#2#3#4#5#6#7#8{\@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
     \begingroup #6\relax
     \ifnum #2 > 1 
         \@hangfrom{\hskip #3}{\interlinepenalty\@M #8#7\par}
     \else % if it is section AND not wider then width of column
         \setbox1=\hbox{#8#7}
         \ifdim \wd1>\columnwidth
             {\centering#8#7\par}
         \else
             \vskip\parskip\centerline{#8#7}\par
         \fi
     \fi
     \endgroup
  \else 
     \def\@svsechd{#6\hskip #3\relax #8#7}
  \fi
  \@xsect{#5}}

\def\@xsect#1{\@tempskipa #1\relax
      \ifdim \@tempskipa>\z@
       \par \nobreak
       \addtolength{\@tempskipa}{-\parskip}
       \vskip \@tempskipa
       \@afterheading
    \else \global\@nobreakfalse \global\@noskipsectrue
       \everypar{\if@noskipsec \global\@noskipsecfalse
                   \clubpenalty\@M \hskip -\parindent
                   \begingroup \@svsechd \endgroup \unskip
                   \hskip -#1
                  \else \clubpenalty \@clubpenalty
                    \everypar{}\fi}\fi\ignorespaces}


\def\section{\@startsection{section}{1}
  {\z@}{\linespacing}{\linespacing}
  {\normalsize \bf \centering}{}}


\def\subsection{\@startsection{subsection}{2}
{\z@}{\linespacing}{\linespacing}
{\normalfont \bf}{}}


\def\subsubsection{\@startsection{subsubsection}{3}
{0pt}{\lineskip}{\lineskip}{\noindent \normalfont \bf}{:}}


%%%%%%%%
% Rsum
%%%%%%%%
\def\abstractname{R\'{e}sum\'{e}}
\def\resume{\subsubsection*{\abstractname}}

%%%%%%%%%%%%
% Mots cles
%%%%%%%%%%%%
\def\clef{\subsubsection*{Mots-Cl\'{e}s}}

%%%%%%%%%%%%%%%%
% bibliographie
%%%%%%%%%%%%%%%%
\def\Referencesnom{R\'{E}F\'{E}RENCES}
\def\thebibliography#1{\section*{\Referencesnom\@mkboth
 {\Referencesnom}{\Referencesnom}}\parskip 0pt \list 
 {[\arabic{enumi}]\hfill}{\labelwidth 7mm \leftmargin\labelwidth
 \itemindent 9mm \itemsep 0pt
\advance\leftmargin -7mm
 \usecounter{enumi}}
 \def\newblock{\hskip .11em plus .33em minus .07em}
 \sloppy\clubpenalty4000\widowpenalty4000
 \sfcode`\.=1000\relax}
\let\endthebibliography=\endlist

%%%%%%%%%%%%
%% appendix 
%%%%%%%%%%%%

\def\appendix{\par
    \setcounter{section}{0}\setcounter{subsection}{0}
    \def\thesection{\Alph{section}} \section*{Appendix}
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%environements Thorme etc. franciss
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newtheorem{theorem}{Th\'{e}or\`{e}me}[section]
\newtheorem{corollary}[theorem]{Corollaire}
\newtheorem{conjecture}[theorem]{Conjecture}
\newtheorem{lemma}[theorem]{Lemme}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{property}[theorem]{Proprit}
\newtheorem{axiom}[theorem]{Axiome}
\newtheorem{remark}{Remarque}[section]
\newtheorem{example}{Exemple}[section]
\newtheorem{exercise}{Exercice}[section]
\newtheorem{definition}{D\'{e}finition}[section]


%%%%%%%%%%%%%%%%%
% preuve/proof
%%%%%%%%%%%%%%%%%%


\newenvironment{proof}{\par
  \normalfont
  \topsep3\p@\@plus1\p@ \trivlist
  \item[\hskip\labelsep\bf{Preuve :}
 \hbox{$\blacktriangleright$}]\ignorespaces
}{\hfill\hbox{$\blacktriangleleft$}\endtrivlist}

%% Definition for Big letter at the beginning of a paragraph
%%
\def\PARstart#1#2{\begingroup\def\par{\endgraf\endgroup\lineskiplimit=0pt}
    \setbox2=\hbox{\uppercase{#2} }\newdimen\tmpht \tmpht \ht2
    \advance\tmpht by \baselineskip\font\hhuge=cmr10 at \tmpht
    \setbox1=\hbox{{\hhuge #1}}
    \count7=\tmpht \count8=\ht1\divide\count8 by 1000 \divide\count7 by\count8
    \tmpht=.001\tmpht\multiply\tmpht by \count7\font\hhuge=cmr10 at \tmpht
    \setbox1=\hbox{{\hhuge #1}} \noindent \hangindent1.05\wd1
    \hangafter=-2 {\hskip-\hangindent \lower1\ht1\hbox{\raise1.0\ht2\copy1}%
    \kern-0\wd1}\copy2\lineskiplimit=-1000pt}

\endinput
%% 
%% End of file.
